import { AwsResource } from '../../cloudformation/resources/AwsResource';
/**
  Represents the hypervisor’s permissions to which the gateway will connect.
  For full documentation go to <a href="http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-backupgateway-hypervisor.html">the AWS Docs</a>
*/
export function hypervisor(hypervisorProps = {}) {
    return new AwsResource('AWS::BackupGateway::Hypervisor', hypervisorProps, { HypervisorArn: 'HypervisorArn' });
}
